Toybrick

使用v3.0固件,npu时好时坏,请问为什么

1076980246

注册会员

积分
151
发表于 2021-3-11 11:17:21    查看: 604|回复: 0 | [复制链接]    打印 | 显示全部楼层
环境:rk3399pro,debian
使用rknn-tooklit中demo显示:
--> Init runtime environment
E Only support ntb mode on ARM64 platform. But can not find device with ntb mode.
E Catch exception when init runtime!
E Traceback (most recent call last):
E   File "rknn/api/rknn_base.py", line 815, in rknn.api.rknn_base.RKNNBase.init_runtime
E   File "rknn/api/rknn_runtime.py", line 170, in rknn.api.rknn_runtime.RKNNRuntime.__init__
E   File "rknn/api/rknn_platform_utils.py", line 307, in rknn.api.rknn_platform_utils.start_ntp_or_adb
E Exception: Init runtime environment failed!
Init runtime environment failed

使用rkapi中demo显示:
E NPUTransfer: Transfer interface open failed!, ret = -1
E RKNNAPI: rknn_init,  driver open fail!  ret = -1(ERROR_IO)!
rknn_init fail! ret=-3

但是有些时候又是可以顺利使用的,请问一下固件3.0是不是有问题,我想问下不适用固件3.0,怎么直接升级npu driver到1.6
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表